ubuntu-location-service: com::ubuntu::location::Criteria Struct Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Classes | Public Member Functions | Public Attributes | List of all members
com::ubuntu::location::Criteria Struct Reference

Summarizes criteria of a client session with respect to functionality and accuracy for position, velocity and heading measurements. More...

`#include <criteria.h>`

Collaboration diagram for com::ubuntu::location::Criteria:

## Classes
struct | Accuracy
struct | Requires

## Public Member Functions
bool | satisfies (const Criteria &rhs) const
| satisfies checks whether this instance also satisfies another criteria instance. More...

## Public Attributes
struct com::ubuntu::location::Criteria::Requires | requires = Requires{}
struct com::ubuntu::location::Criteria::Accuracy | accuracy = Accuracy{}

## Detailed Description

Summarizes criteria of a client session with respect to functionality and accuracy for position, velocity and heading measurements.

Definition at line 34 of file criteria.h.

## Member Function Documentation

## ◆ satisfies()

bool com::ubuntu::location::Criteria::satisfies | ( | const Criteria & | rhs | ) | const

satisfies checks whether this instance also satisfies another criteria instance.

Parameters

  rhs | The other criteria instance

Returns
  true iff this instance also satisfies the other instance, else false.

## Member Data Documentation

## ◆ accuracy

struct com::ubuntu::location::Criteria::Accuracy com::ubuntu::location::Criteria::accuracy = Accuracy{}

Referenced by core::dbus::Codec< com::ubuntu::location::Criteria >::decode_argument(), and core::dbus::Codec< com::ubuntu::location::Criteria >::encode_argument().

## ◆ requires

struct com::ubuntu::location::Criteria::Requires com::ubuntu::location::Criteria::requires = Requires{}

Referenced by core::dbus::Codec< com::ubuntu::location::Criteria >::decode_argument(), and core::dbus::Codec< com::ubuntu::location::Criteria >::encode_argument().

The documentation for this struct was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/criteria.h